org.apache.synapse.transport.passthru.util

## Class ControlledByteBuffer

- java.lang.Object
- - org.apache.synapse.transport.passthru.util.ControlledByteBuffer

-     public class ControlledByteBuffer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlledByteBuffer(ByteBuffer byteBuffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `capacity()`
    `void` | `clear()`
    `void` | `compact()`
    `void` | `flip()`
    `void` | `forceSetInputMode()`
    `byte` | `get()`
    `ByteBuffer` | `get(byte[] dst, int offset, int length)`
    `ByteBuffer` | `getByteBuffer()`
    `boolean` | `hasRemaining()`
    `boolean` | `isInputMode()`
    `int` | `position()`
    `void` | `put(byte b)`
    `ByteBuffer` | `put(byte[] src, int offset, int length)`
    `void` | `putInt(int value)`
    `int` | `remaining()`
    `boolean` | `setInputMode()`
    `boolean` | `setOutputMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlledByteBuffer

          public ControlledByteBuffer(ByteBuffer byteBuffer)

  - ### Method Detail

    - #### isInputMode

          public boolean isInputMode()

    - #### getByteBuffer

          public ByteBuffer getByteBuffer()

    - #### setInputMode

          public boolean setInputMode()

    - #### setOutputMode

          public boolean setOutputMode()

    - #### forceSetInputMode

          public void forceSetInputMode()

    - #### flip

          public void flip()

    - #### clear

          public void clear()

    - #### compact

          public void compact()

    - #### position

          public int position()

    - #### capacity

          public int capacity()

    - #### put

          public void put(byte b)

    - #### putInt

          public void putInt(int value)

    - #### put

          public ByteBuffer put(byte[] src,
                                int offset,
                                int length)

    - #### hasRemaining

          public boolean hasRemaining()

    - #### get

          public byte get()

    - #### get

          public ByteBuffer get(byte[] dst,
                                int offset,
                                int length)

    - #### remaining

          public int remaining()

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.